net.i2p.client.datagram

## Class I2PInvalidDatagramException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - net.i2p.client.datagram.I2PInvalidDatagramException

- All Implemented Interfaces:
    Serializable

      public class I2PInvalidDatagramException
      extends Exception

  Exception thrown when I2P repliable datagram signature verification fails.
  Author:
    human
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `I2PInvalidDatagramException()`
    `I2PInvalidDatagramException(String s)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### I2PInvalidDatagramException

          public I2PInvalidDatagramException()

    - #### I2PInvalidDatagramException

          public I2PInvalidDatagramException(String s)